package com.ruoyi.tuya.mapper;

import java.util.List;

import com.ruoyi.tuya.domain.BusSupplierRelease;
import com.ruoyi.tuya.domain.BusSupplierRoute;

/**
 * 供应商路线Mapper接口
 *
 * @author zf
 * @date 2022-08-23
 */
public interface BusSupplierRouteMapper
{
    /**
     * 查询供应商路线
     *
     * @param id 供应商路线主键
     * @return 供应商路线
     */
    public BusSupplierRoute selectBusSupplierRouteById(Long id);

    /**
     * 查询供应商路线列表
     *
     * @param busSupplierRoute 供应商路线
     * @return 供应商路线集合
     */
    public List<BusSupplierRoute> selectBusSupplierRouteList(BusSupplierRoute busSupplierRoute);

    /**
     * 新增供应商路线
     *
     * @param busSupplierRoute 供应商路线
     * @return 结果
     */
    public int insertBusSupplierRoute(BusSupplierRoute busSupplierRoute);

    /**
     * 修改供应商路线
     *
     * @param busSupplierRoute 供应商路线
     * @return 结果
     */
    public int updateBusSupplierRoute(BusSupplierRoute busSupplierRoute);

    /**
     * 删除供应商路线
     *
     * @param id 供应商路线主键
     * @return 结果
     */
    public int deleteBusSupplierRouteById(Long id);

    /**
     * 批量删除供应商路线
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusSupplierRouteByIds(Long[] ids);

    /**
     * 修改热门标识
     *
     * @param busSupplierRoute 平台报价单主键
     * @return 结果
     */
    public int updateHotForm(BusSupplierRoute busSupplierRoute);
}
